Android 4.2.2 Jelly Bean on a Galaxy S3!

June 21, 2013

    Android 4.2.2 on a Galaxy S3

    If you’re a proud Galaxy S3 owner, but long for Android 4.2.2, you’re in luck. SamMobile has leaked an early firmware build of Jelly Bean for the S3!

    While they caution it is still in testing at Samsung, this gives hardcore fans a sneak peak at what they’ve been waiting for. As you can see in the video below, it looks really snappy. It’s got the toys everyone looks for in Jelly Bean, like lock screen widgets. The revamped design is also here, making your S3 look and feel just like an S4.

    It certainly looks nice, and porting over as much as it has is a great move by Samsung. This shows they support their devices well, and aren’t afraid putting Jelly Bean on an S3 will poach S4 sales.

    Still no word on whether or not some of the features from the S4 will make it to the S3 in this new Android version, but the wait for official word won’t be long now. If you’re really anxious, follow the source link to a download file. Again, remember that it’s not official yet, so proceed at your own risk.

    Comments

    • MasterMuffin

      Not to be rude, but this is really old news (or is this new 4.2.2 leak?). Plus I’m already running JB on my s3, 4.1.2, you make it sound like s3 has never seen/had JB :)

      • Carlos Cuevas

        Maybe if you read the first line of the article…

        • MasterMuffin

          Please refer to my previous comment (the reply to Akshat)

          • Abdel Aziz Farhi

            You’re right S3 has a previous 4.2.2 leak.couple of weeks ago not sure if this is the same one.

            • MasterMuffin

              Oookkay

      • http://www.virtuaniz.com/ Akshat Mittal

        Did you even read the article? (Even the first line?)

        • MasterMuffin

          Yes I did. The article was about 4.2.2 leak for S3. The last part of my comment was supposed to be a joke about how he puts it as if s3 has never had JELLYBEAN at all, even though 4.1 is also JB :D

          • http://www.virtuaniz.com/ Akshat Mittal

            As far as I can see, the article clearly says “4.2.2 Jelly Bean”. But I agree with you on the note that S3 already had 4.1 JB and even 4.2.2 from AOSP (CM ftw!). ;)

            • MasterMuffin

              And even 4.2.2 leaked earlier, that’s what I was talking about. BTW apart from the headline, the arricle only says JB not 4.2.2 JB)

            • Nathaniel Harvey

              first line of article also mentions that it is 4.2.2 Jellybean, but they don’t mention which model S3 though. I have Sprint model (SPH-L710.) but in a “mangled firmware” state in Japanese.

            • Red

              The one leaked before has Build Number JDQ39.I9300XXUFME3. This has JDQ39.19300XXUFME7. I’ve tested both and I must say the latter is more stable (snappier and doesn’t run out of battery fast).

    • Hey Bobby Fix Your Dial Up

      I’m kind of glad that this update has taken it’s sweet time to reach Galaxy devices. It’s pretty much has been a nightmare of lag and screw ups since it’s release to all Nexus devices(i.e. Nexus 10′s constant reboot fiasco and the rest of the Nexus line that had this update already). Funny how everyone demands the newest updates though.

      This 4.2.2. has got to be “one” of the worse updates ever to be on an Android device that I’ve experienced. The Galaxy S4 especially is no exception to it. I’m sorry but whoever has not had problems with this update is very fortunate.

    • http://www.techquark.com/ Shubham ~NeO~

      Why this old news ? This 4.2.2 ROM was leaked long back for S3, I already have it for some time now !

    • فواد

      واقعا عالیه
      من راضیم ازش

      • LiiIiikEaBau5

        haha asshole! Who care about if you are satisfied or not? LOL!

        • Abdel Aziz Farhi

          Obviously Google translator failed here just the way you failed.

    • googlre10

      Will international note 2 get this official upgrade?

      • Daniel DS

        Ofcourse it will, and probably the upcoming version of Android too!

        • googlre10

          Thanks•Good news•

    • mike

      Its a new 4.2.2 leak. A non-branded, unlike the last middle east branded leak from a few weeks ago. Which I used for while, but didn’t sync with kies, couldn’t restore backup data.

    • Diegolgo

      Bah i have already 4.2.2 and all of those options. The best thing is the keyboard whit numbers on it

      • udara (:

        Boobs m/

    • http://www.arrowpc.com.au/ arrowpc

      OK, So that everyone is aware… This is a NEW LEAK!!! the 4.2.2 leak that came out a while ago was XXUMFE3. The one this post is talking about is a new revision, Namely XXUFME7. So guys please do not be spamming stupid comments UNTIL you have actually read the news properly. Do your research first.

    • john fragoulias

      I am already running JB 4.2.2 on my S3, it’s called CM 10.1 RC5. Liquid smooth and fast, with no bloat.

    • udara (:

      s3 mini T.T

    • SContrerasMer

      according to sammobile the Galaxy SII will recive the 4.2

      and the S3 the 4.3 and the 5.0

    • http://nurudin.jauhari.net/ Jauhari

      still waiting for #GNote2 with Android 4.2.2 o/

      • Daniel DS

        #Hashtags #Don’t #Do #Shit #On #This #Site

        • http://nurudin.jauhari.net/ Jauhari

          Ups… I am so sorry

    • John

      I don’t think this will work on the I9305?

      • Daniel DS

        Is this a question or a statement?

    • phantomsofthedesert

      I used the original leaked version of 4.2.2 and found it ok, except for the Jewish apps and the hot mobile splash screen. only because I don’t understand the language but I accepted the origin of the leaked software. then I saw this one and decided to give it ago. well to my surprise this was a clean install. works great on Australian GT-I9300 ops. it’s a newer further stable version before the final update
      works great sofar give it a try remember only for international version S3 GTI-9300
      So please don’t give negative views because you didn’t read or understand. we don’t need this crap.

    • Jay Musick

      Fuunny. Because at&t STILL hasnt released 4.1.2 Or ios 7 yet. I really want to hurt someone about that

    • manuel gonzalez

      I really need to know if it will work on my sph l710

    Popular

    Latest